apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: docs
  name: docs
spec:
  replicas: 1
  selector:
    matchLabels:
      app: docs
  strategy: {}
  template:
    metadata:
      labels:
        app: docs
    spec:
      containers:
        - image: "{{ .Values.image.repository }}:{{ .Values.image.tag }}"
          name: docs
          ports:
            - name: http
              containerPort: 80
              protocol: TCP
          resources: {}
---
apiVersion: v1
kind: Service
metadata:
  name: docs
spec:
  selector:
    app: docs
  ports:
    - protocol: TCP
      port: 80
      targetPort: 80
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: docs
  annotations:
    cert-manager.io/cluster-issuer: main
    nginx.ingress.kubernetes.io/force-ssl-redirect: "true"
spec:
  ingressClassName: nginx
  rules:
    - host: docs.edp.buildth.ing
      http:
        paths:
          - backend:
              service:
                name: docs
                port:
                  number: 80
            path: /
            pathType: Prefix
  tls:
    - hosts:
        - docs.edp.buildth.ing
      secretName: docs-edp-buildth-ing-tls
